Loading...
Searching...
No Matches
caf::policy::normal_messages Class Reference

Configures a cached DRR queue for holding asynchronous messages with default priority. More...

`#include <normal_messages.hpp>`

## Public Types

using | mapped_type = mailbox_element
using | task_size_type = size_t
using | deficit_type = size_t
using | unique_pointer = mailbox_element_ptr

## Public Member Functions

| normal_messages (const normal_messages &)=default
normal_messages & | operator= (const normal_messages &)=default
constexpr | normal_messages (unit_t)

## Static Public Member Functions

static task_size_type | task_size (const mailbox_element &) noexcept

## Detailed Description

Configures a cached DRR queue for holding asynchronous messages with default priority.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/policy/normal_messages.hpp